%========================== jsiamletters.cls =====================
%
%-for JSIAM Letters %
% Version 1.03
%-Released on 2020/11/25
%
%=================================================================

\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{jsiamletters}[2020/11/25 v.1.03 JSIAM Letters document class]

\RequirePackage{amsmath}[1997/03/20]
\RequirePackage{amssymb}
\RequirePackage{amsthm}
%\RequirePackage[pdftex]{graphicx}
%\RequirePackage[dvipdfm]{graphicx}
\RequirePackage[dvipdfmx]{graphicx}
%\RequirePackage{graphicx}
\RequirePackage{cite}
\RequirePackage{bm}
\RequirePackage{url}

\newif\if@l
\DeclareOption{letter}{\@ltrue}
\newif\if@sn
\DeclareOption{shortnote}{\@sntrue}
\newif\if@comment
\DeclareOption{comment}{\@commenttrue}
\newif\if@addenda
\DeclareOption{addenda}{\@addendatrue}
\newif\if@errata
\DeclareOption{errata}{\@erratatrue}
\newif\if@final
\DeclareOption{final}{\@finaltrue}

\DeclareOption{a4paper}
  {\setlength\paperheight {297mm}%
   \setlength\paperwidth  {210mm}}

\newif\if@lp
\DeclareOption{letterpaper}
  {\@lptrue%
   \setlength\paperheight {11in}%
   \setlength\paperwidth  {8.5in}}

\DeclareOption{seceq}{%
\if@l
 \relax
\else
\if@sn
\relax
\else
\if@comment
 \relax
\else
\if@addenda
\relax
\else
\@addtoreset{equation}{section}
\renewcommand\theequation{\@arabic\c@section.\@arabic\c@equation}
\fi
 \fi
  \fi
	  \fi
}

\DeclareOption{twocolumn}{\@twocolumntrue
% To balance the final page,
% following code is borrowed from nicetwocolumn style
\newdimen\dimen@@

\def\balancecolumns{\setbox0\vbox{\unvbox\@outputbox} \dimen@@=\ht0
  \advance\dimen@@ by\topskip \advance\dimen@@ by-\baselineskip
  \divide\dimen@@ by2 \splittopskip=\topskip
  {\vbadness=10000 \loop \global\setbox3=\copy0
    \global\setbox1=\vsplit3 to\dimen@@
    \ifdim\ht3>\dimen@@ \global\advance\dimen@@ by1pt\repeat}
  \ifdim\dimen@@>\textheight \dimen@@=\textheight\fi
  \setbox0=\vbox to \dimen@@{\unvbox1} \setbox2=\vbox to \dimen@@{\unvbox3}
  \if\ht0>\ht2 \setbox2=\vbox to\ht0{\unvbox2}\dimen@@=\ht0\else
  \if\ht2>\ht0 \setbox0=\vbox to\ht2{\unvbox0}\dimen@@=\ht2\fi\fi
 \wd0=\hsize \wd2=\hsize
%\message{in balancecolumns dimen@@=\the\dimen@@, dp0=\the\dp0, dp2=\the\dp2}
\ifdim\dp0>\dp2\advance\dimen@@ by\dp0\else\advance\dimen@@ by\dp2\fi
\setbox\@outputbox\vbox to\dimen@@{\hbox to\textwidth{\box0\hfil\box2}\vfill}}

% you can refrain from balancing by falsifying following switch!
%\newif\if@lastpagebalancing \@lastpagebalancingtrue % default is to balance
\newif\if@lastpagebalancing \@lastpagebalancingfalse % default is not to balance

% incorporate balanced output to \enddocument
\def\enddocument{\if@lastpagebalancing \global\let\@outputdblcol=\balancing@outputdblcol\fi%
\@checkend{document}\clearpage
\begingroup  
\if@filesw \immediate\closeout\@mainaux 
\def\global\@namedef##1##2{}\def\newlabel{\@testdef r}%
\def\bibcite{\@testdef b}\@tempswafalse \makeatletter\input \jobname.aux
\if@tempswa \@warning{Label(s) may have changed.  Rerun to get
cross-references right}\fi\fi\endgroup
\deadcycles\z@\@@end}

\newlength{\@interlinegap}

% to change \interlinegap appropriately at appropriate time
\def\@outputdblcol{\if@firstcolumn \global\@firstcolumnfalse
   \global\setbox\@leftcolumn\box\@outputbox
% Following interlinegap value may be wrong!!
% It is set to gap+depth for normalsize, and depth(2.031999Q) for footnotesize.
% This setting is inconsistent, but seems to work properly now.
%\ifx \@currsize\normalsize \global\@interlinegap 8.54815pt\else% setup
% reset to 10Q after final page footnote hack!
\ifx \@currsize\normalsize \global\@interlinegap \z@\else %%%12\p@\else% setup
\ifx \@currsize\footnotesize \global\@interlinegap 3\p@\else% appropriate
 \ifx \@currsize\small \global\@interlinegap 3.08713pt\fi\fi\fi% gap here!
 \else \global\@firstcolumntrue
\if@leftfootnoteexist\setbox\@leftcolumn\vbox to\@colht{\boxmaxdepth\maxdepth
\@texttop\dimen128=\dp\@leftcolumn
\unvbox\@leftcolumn\vskip\skip\footins\footnoterule%
%\message{in outputdblcol leftcolumnfootnote=ht:\the\ht\@leftcolumnfootnote, dp:\the\dp\@leftcolumnfootnote, wd:\the\wd\@leftcolumnfootnote}
\unvbox\@leftcolumnfootnote
\vskip-\dimen128\@textbottom}
\global\maxdepth\@maxdepth\else
\setbox\@leftcolumn\vbox to\@colht{\boxmaxdepth\maxdepth
\@texttop\dimen128=\dp\@leftcolumn
\unvbox\@leftcolumn\vfill%
\vskip-\dimen128\@textbottom}
\global\maxdepth\@maxdepth\fi
\if@rightfootnoteexist\setbox\@outputbox\vbox to\@colht{\boxmaxdepth\maxdepth
\@texttop\dimen128=\dp\@outputbox
\unvbox\@outputbox\vskip\skip\footins\footnoterule%
%\message{in outputdblcol rightcolumnfootnote=ht:\the\ht\@rightcolumnfootnote, dp:\the\dp\@rightcolumnfootnote, wd:\the\wd\@rightcolumnfootnote}
\unvbox\@rightcolumnfootnote
\vskip-\dimen128\@textbottom}
\global\maxdepth\@maxdepth\else
\setbox\@outputbox\vbox to\@colht{\boxmaxdepth\maxdepth
\@texttop\dimen128=\dp\@outputbox
\unvbox\@outputbox\vfill%
\vskip-\dimen128\@textbottom}
\global\maxdepth\@maxdepth\fi
  \setbox\@outputbox\vbox{\hbox to\textwidth{\hbox to\columnwidth
    {\box\@leftcolumn \hss}\hfil \vrule width\columnseprule\hfil
     \hbox to\columnwidth{\box\@outputbox \hss}}}\@combinedblfloats
     \@outputpage \begingroup \@dblfloatplacement \@startdblcolumn
     \@whilesw\if@fcolmade \fi{\@outputpage\@startdblcolumn}\endgroup
  \fi}

\def\balancing@outputdblcol{\if@firstcolumn %\global\@firstcolumnfalse
\else \global\@firstcolumntrue
 \setbox\@outputbox\vbox{\unvbox\@leftcolumn\vskip\@interlinegap%
  \penalty\interlinepenalty\unvbox\@outputbox}
\fi
\balancecolumns \@combinedblfloats
\if@leftfootnoteexist\setbox\@outputbox\vbox to\@colht{\boxmaxdepth\maxdepth
\@texttop\dimen128=\dp\@outputbox
\unvbox\@outputbox\vfill\vskip\skip\footins\footnoterule%
%\message{in balancing@outputdblcol leftcolumnfootnote=ht:\the\ht\@leftcolumnfootnote, dp:\the\dp\@leftcolumnfootnote, wd:\the\wd\@leftcolumnfootnote}
\unvbox\@leftcolumnfootnote
\if@rightfootnoteexist
%\message{in balancing@outputdblcol rightcolumnfootnote=ht:\the\ht\@rightcolumnfootnote, dp:\the\dp\@rightcolumnfootnote, wd:\the\wd\@rightcolumnfootnote}
\unvbox\@rightcolumnfootnote\fi
\vskip-\dimen128
\@textbottom}
\global\maxdepth\@maxdepth\fi
\@outputpage \begingroup \@dblfloatplacement \@startdblcolumn
\@whilesw\if@fcolmade \fi{\@outputpage\@startdblcolumn}\endgroup}

\newbox\@leftcolumnfootnote \newbox\@rightcolumnfootnote
\newif\if@leftfootnoteexist \newif\if@rightfootnoteexist

% Extra \@texttop somehow found its way into \@makecol.  Deleted
% 1 Dec 86.  (Found by Mike Harrison)

\def\@makecol{\if@firstcolumn
\ifvoid\footins \setbox\@outputbox\box\@cclv
%\message{in makecol @outputbox=(\the\ht\@outputbox, \the\dp\@outputbox, \the\wd\@outputbox)}
\global\@leftfootnoteexistfalse
  \else\global\@leftfootnoteexisttrue
\setbox\@outputbox\box\@cclv
%\message{in makecol with foot @outputbox=(\the\ht\@outputbox, \the\dp\@outputbox, \the\wd\@outputbox)}
\global\setbox\@leftcolumnfootnote\box\footins
%\message{in makecol leftcolumnfootnote=ht:\the\ht\@leftcolumnfootnote, dp:\the\dp\@leftcolumnfootnote, wd:\the\wd\@leftcolumnfootnote}
\fi
    \xdef\@freelist{\@freelist\@midlist}\gdef\@midlist{}\@combinefloats
\else
\ifvoid\footins \setbox\@outputbox\box\@cclv
%\message{in makecol right @outputbox=(\the\ht\@outputbox, \the\dp\@outputbox, \the\wd\@outputbox)}
\global\@rightfootnoteexistfalse
  \else\global\@rightfootnoteexisttrue
\setbox\@outputbox\box\@cclv
%\message{in makecol right with foot @outputbox=(\the\ht\@outputbox, \the\dp\@outputbox, \the\wd\@outputbox)}
\global\setbox\@rightcolumnfootnote\box\footins
%\message{in makecol rightcolumnfootnote=ht:\the\ht\@rightcolumnfootnote, dp:\the\dp\@rightcolumnfootnote, wd:\the\wd\@rightcolumnfootnote}
\fi
    \xdef\@freelist{\@freelist\@midlist}\gdef\@midlist{}\@combinefloats
\fi
}
}

\ExecuteOptions{a4paper,onecolumn}
\ProcessOptions\relax

\allowdisplaybreaks[3]

\def\volume#1{\def\volumenumber{#1}}{}
\def\publishedyear#1{\def\pubyear{#1}}{}
\def\articlepages#1#2{\setcounter{page}{#1}\def\articlepagestart{#1}\def\articlepageend{#2}}{}
%%%% \def\aurinfo#1#2#3{\def\authorfullname{#1}\def\authoraffiliation{#2}\def\authoremail{#3}}{}
%%%% \def\affiliation#1{\def\affiliationname{#1}}{}
%%
%% \authorinfo and \affiliation
%%
\newcount\num@authors \num@authors=0             % number of authors
\newtoks\list@authors \list@authors={}           % list of authors in the title
\newtoks\list@runauthors \list@runauthors={}     % runauthor
\newcount\num@affiliations \num@affiliations=0   % number of affiliations
\newtoks\list@affiliations \list@affiliations={} % list of affiliations in the
\def\and@comma#1 and #2{#1, #2}
\def\authorinfo#1#2#3{
  \@ifundefined{@runauthor}{\def\@runauthor{#1}}{}
  \@ifundefined{@email}{\def\@email{#3}}{}
  \advance\num@authors by 1
  \ifnum\num@authors=1 \edef\act{\noexpand\list@authors={#1$^{#2}$}\noexpand\list@runauthors={#1}} \act \fi
  \ifnum\num@authors=2 \edef\act{\noexpand\list@authors={{\the\list@authors} and #1$^{#2}$}\noexpand\list@runauthors={{\the\list@runauthors}  et al.}} \act \fi
  \ifnum\num@authors>2 \edef\act{\noexpand\list@authors={{\expandafter\and@comma \the\list@authors} and #1$^{#2}$}} \act \fi
}
\def\affiliation#1#2{
  \advance\num@affiliations by 1
  \ifnum\num@affiliations=1 \edef\act{\noexpand\list@affiliations={\hskip -6pt $^\number\num@affiliations\,$#1, #2}} \act \fi
  \ifnum\num@affiliations>1 \edef\act{\noexpand\list@affiliations={{\the\list@affiliations} \noexpand\\ \hskip -6pt $^\number\num@affiliations\,$#1, #2}} \act \fi
}
\def\@author{\the\list@authors}
\def\@inst{\the\list@affiliations}
\def\@runauthor{\the\list@runauthors}
%%
%% \authorinfo and \affiliation
%%
%
\volume{**}
\publishedyear{****}
\articlepages{1}{}
%
%%%%%%%%%%%

\def\@typeset{%
% logo
\if@errata \hskip-1.0em\sffamily{JSIAM Letters Vol.\volumenumber~(\pubyear) %
p.\articlepagestart~\copyright\hskip.1em \pubyear%
~Japan Society for Industrial and Applied Mathematics}\hss%
\hbox to40\p@{\hfill\textsc{    }\hfill}%
\else\hskip-1.0em\sffamily{JSIAM Letters Vol.\volumenumber~(\pubyear) %
pp.\articlepagestart--\articlepageend~\copyright\hskip.1em \pubyear%
~Japan Society for Industrial and Applied Mathematics}\hss%
\hbox to40\p@{\hfill\textsc{    }\hfill}%
\fi
\if@final \normalsize\hfill\lower2.4ex\hbox to 65\p@{\hfill\smash{\includegraphics[width=2.5cm,clip]{JSIAML4_NIMBUS00.eps}}} \fi
%\if@gallery \normalsize\hfill\lower2.4ex\hbox to 65\p@{\hfill\smash{\includegraphics[width=2.5cm,clip]{JSIAML4_NIMBUS00.eps}}} \fi
%\if@gallery 
%\usepackage{fancybox}
%\usepackage{color}
%\fancyput(-0.3in,-9.5in){
%	\color[rgb]{0.8,0.8,0.8}{
%		\rotatebox{55}{
%			\scalebox{9.3}{\rm Uncorrected Proof}
%		}
%	}
%}
%\fi
}
\@ifundefined{jpage}{\def\jpage{Vol.\ No.\ pp.}}{}
\@ifundefined{runtitle}{\def\runtitle{Title of the Article}}{}
\@ifundefined{pvol}{\def\pvol{\null}}{}
\@ifundefined{pyear}{\def\pyear{\null}}{}

\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}

\let\makefigurecaptions\relax

\frenchspacing
\@twosidetrue
\AtBeginDocument\sloppy
\AtEndDocument{\label{lastpage}}

\newcommand{\degC}{\mbox{$^{\circ}$C}}
\newcommand\mbi[1]{\boldsymbol{#1}}
\newcommand\mib[1]{\boldsymbol{#1}}

\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{1}
\setlength\parskip{\z@}

\if@twocolumn
\setlength{\textwidth}{500\p@}
\setlength{\textheight}{720\p@}
\setlength{\columnsep}{14\p@}
\hoffset-23.5\p@
\setlength\topmargin{-1.2cm}
\setlength\headheight{8\p@}
\setlength\headsep{10\p@} 
\setlength\topskip{10\p@}
\setlength\parindent{10\p@}
\setlength\footskip{20\p@}
\else
\setlength{\textwidth}{500\p@}
\setlength{\textheight}{660\p@}
%\hoffset5\p@
\hoffset-23.5\p@
\setlength\headheight{10\p@}
\setlength\headsep{12\p@} 
\setlength\topskip{12\p@}
\setlength\parindent{18\p@}
\setlength\footskip{36\p@}
\fi

\addtolength\textheight{\topskip}

\setlength{\skip\footins}{9\p@ \@plus 4\p@ \@minus 2\p@}
\setlength\floatsep    {24\p@ \@plus 4\p@ \@minus 4\p@}
\setlength\textfloatsep{24\p@ \@plus 4\p@ \@minus 4\p@}
\setlength\intextsep   {24\p@ \@plus 4\p@ \@minus 4\p@}
\setlength\dblfloatsep    {24\p@ \@plus 4\p@ \@minus 4\p@}
\setlength\dbltextfloatsep{24\p@ \@plus 4\p@ \@minus 4\p@}
\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{8\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{8\p@ \@plus 2fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
\setlength\partopsep{\z@}

\setlength\arraycolsep {6\p@} 
\setlength\tabcolsep {6\p@}
\setlength\arrayrulewidth {.25\p@}
\setlength\doublerulesep {2\p@}
\setlength\tabbingsep {\labelsep}
\setlength\fboxsep{3\p@} 
\setlength\fboxrule {.2\p@}
\setlength\marginparwidth {.75\p@} 
\setlength\marginparsep {12\p@}

\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301

\setcounter{topnumber}{5}
\renewcommand\topfraction{.9}
\setcounter{bottomnumber}{5}
\renewcommand\bottomfraction{.9}
\setcounter{totalnumber}{10}
\renewcommand\textfraction{.1}
\renewcommand\floatpagefraction{.9}
\setcounter{dbltopnumber}{3}
\renewcommand\dbltopfraction{.9}
\renewcommand\dblfloatpagefraction{.1}

\newcommand\abstsize{%
  \@setfontsize\abstsize\@xpt{14}%
}

\renewcommand\normalsize{%
  \@setfontsize\normalsize\@xpt{12}
  \abovedisplayskip 6\p@
  \abovedisplayshortskip 6\p@
  \belowdisplayshortskip 6\p@
  \belowdisplayskip \abovedisplayskip
  \setlength\jot{6\p@}
  \let\@listi\@listI}
\normalsize
\newcommand\small{%
  \@setfontsize\small\@ixpt{11}
  \abovedisplayskip 6\p@
  \abovedisplayshortskip \abovedisplayskip
  \belowdisplayshortskip \abovedisplayskip
  \def\@listi{\leftmargin\leftmargini
              \topsep \z@ %%%%% 4\p@ \@plus2\p@ \@minus2\p@
              \parsep \z@ %%%%% 2\p@ \@plus\p@ \@minus\p@
              \itemsep \parsep}%
  \belowdisplayskip \abovedisplayskip
}
\newcommand\footnotesize{%
  \@setfontsize\footnotesize\@viiipt{10}
  \abovedisplayskip 5\p@
  \abovedisplayshortskip \abovedisplayskip
  \belowdisplayshortskip \abovedisplayskip
  \def\@listi{\leftmargin\leftmargini
              \topsep \z@ %%%%% 3\p@ \@plus\p@ \@minus\p@
              \parsep \z@ %%%%% 2\p@ \@plus\p@ \@minus\p@
              \itemsep \parsep}%
  \belowdisplayskip \abovedisplayskip
}
\newcommand\scriptsize{%
   \@setfontsize\scriptsize\@viipt\@ixpt
}
\newcommand\tiny{%
    \@setfontsize\tiny\@vipt\@viiipt
}
\newcommand\large{%
     \@setfontsize\large\@xiipt{16}
}
\newcommand\Large{\@setfontsize\Large\@xviipt{22}}
\newcommand\LARGE{\@setfontsize\LARGE\@xxpt{25}}
\newcommand\huge{\@setfontsize\huge\@xxvpt{30}}
\newcommand\Huge{\@setfontsize\Huge\@xxvpt{30}}
\newcommand\titlesize{\@setfontsize\titlesize\@xiipt{16}}

%%\@mparswitchfalse
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]

\renewcommand\thesection {\@arabic\c@section}
\renewcommand\thesubsection {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection {\thesubsection.\@arabic\c@subsubsection}
\renewcommand\theparagraph {\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}

\newcommand\@secapp{}

\newcommand\section{\@startsection{section}{1}{\z@}%
                  {\if@twocolumn 8\p@ \@plus\p@ \@minus\p@ \else .5\baselineskip \fi}%
                  {\if@twocolumn 4\p@ \@plus\p@ \@minus\p@ \else \p@ \@plus\p@ \@minus\p@ \fi}%
                  {\normalfont\large\bfseries\boldmath}}
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
                  {12\p@ \@plus \p@ \@minus \p@}{\p@ \@plus\p@ \@minus\p@}%
                  {\normalfont\normalsize\itshape}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                  {12\p@ \@plus \p@ \@minus \p@}{\p@ \@plus\p@ \@minus\p@}%
                  {\normalfont\normalsize\itshape}} 
\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                  {\z@}{-10\p@}%
                  {\normalfont\normalsize\bfseries}}
\newcommand\subparagraph{\@startsection{subparagraph}{4}{\parindent}%
                  {\z@}{-10\p@}%
                  {\normalfont\normalsize\itshape}}

\def\@nullstring{}
\def\@appendixstring{Appendix}

\def\@sect#1#2#3#4#5#6[#7]#8{\ifnum #2>\c@secnumdepth
    \def\@svsec{}\else
      \ifnum #2=1		% TRUE if \section{}
        \refstepcounter{#1}
        \def\@appendixtitle{#8}
        \ifx\@secapp\@appendixstring
        \ifx\@appendixtitle\@nullstring
            \edef\@svsec{\@secapp \csname the#1\endcsname\hskip10\p@}
        \else
            \edef\@svsec{\@secapp \csname the#1\endcsname:\hskip10\p@}
        \fi
        \else
          \ifx\thesection\@nullstring
            \edef\@svsec{\@secapp \csname the#1\endcsname\hskip10\p@}
          \else
            \edef\@svsec{\@secapp \csname the#1\endcsname.\hskip10\p@}
          \fi
        \fi
      \else
        \refstepcounter{#1}\edef\@svsec{\csname the#1\endcsname\hskip10\p@}
      \fi
    \fi
    \@tempskipa #5\relax
     \ifdim \@tempskipa>\z@
       \begingroup #6\relax
       \@hangfrom{\hskip #3\relax\@svsec}{\interlinepenalty \@M #8\par}%
       \endgroup
      \csname #1mark\endcsname{#7}
     \else
       \def\@svsechd{#6\hskip #3\@svsec #8\csname #1mark\endcsname{#7}}
     \fi
    \@xsect{#5}}

\setcounter{secnumdepth}{3}

\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{(\theenumi)}
\newcommand\labelenumii{\theenumii.}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}

\setlength\leftmargini {20\p@}
\setlength\leftmarginii {10\p@} 
\setlength\leftmarginiii {10\p@} 
\setlength\leftmarginiv {10\p@} 
\setlength\leftmarginv {10\p@}
\setlength\leftmarginvi {10\p@}
\setlength\leftmargin{\leftmargini}
\setlength\labelwidth{\leftmargini\advance\labelwidth-\labelsep}
\setlength\labelsep {5\p@} 
\setlength\parsep {\z@}

\def\@listi{\leftmargin\leftmargini
           \parsep 4\p@ \@plus2\p@ \@minus2\p@
           \topsep 4\p@ \@plus2\p@ \@minus2\p@
           \itemsep \z@ \@plus2\p@ \@minus2\p@}
\let\@listI\@listi
\@listi
\def\@listii {\leftmargin\leftmarginii
             \labelwidth\leftmarginii
             \advance\labelwidth-\labelsep
             \topsep    \z@ \@plus2\p@ \@minus\p@
             \parsep    \z@ \@plus2\p@ \@minus\p@
             \itemsep   \parsep}
\def\@listiii{\leftmargin\leftmarginiii
             \labelwidth\leftmarginiii
             \advance\labelwidth-\labelsep
             \topsep    \z@ \@plus2\p@ \@minus\p@
             \parsep    \z@
             \partopsep \z@ \@plus2\p@ \@minus\p@
             \itemsep   \topsep}
\def\@listiv {\leftmargin\leftmarginiv
             \labelwidth\leftmarginiv
             \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
             \labelwidth\leftmarginv
             \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
             \labelwidth\leftmarginvi
             \advance\labelwidth-\labelsep}

\newenvironment{verse}
              {\let\\\@centercr
               \list{}{\itemsep      \z@
                       \itemindent   -15\p@%
                       \listparindent\itemindent
                       \rightmargin  \leftmargin
                       \advance\leftmargin 15\p@}%
               \item\relax}
              {\endlist}

\newenvironment{quotation}
              {\list{}{\listparindent 15\p@%
                       \itemindent    \listparindent
                       \rightmargin   \leftmargin
                       \parsep        \z@ \@plus\p@}%
               \item\relax}
              {\endlist}

\newenvironment{quote}
              {\list{}{\rightmargin\leftmargin}%
               \item\relax}
              {\endlist}

\newenvironment{description}
              {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                       \let\makelabel\descriptionlabel}}
              {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                               \normalfont\bfseries #1}

%%%% bibliography %%%%
\def\thebibliography#1{%
\vskip2\baselineskip
\footnotesize

\list{[\arabic{enumi}]}{\settowidth\labelwidth{[#1]}
\leftmargin\labelwidth
\advance\leftmargin\labelsep
\usecounter{enumi}}
\sloppy
\sfcode`\.=500\relax}
\let\endthebibliography=\endlist

\renewcommand\footnoterule{%
\noindent\vskip1\baselineskip \kern-3\p@
\hrule\@width\columnwidth
\kern 2.6\p@}

\newcommand\refname{References}
\newcommand\figurename{Fig.}
\newcommand\tablename{Table}

\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{1em}
\setlength\belowcaptionskip{\z@} %{1em}

\newcount\halfflag
\halfflag=0

%%%%%%%%%% caption %%%%%%%%%%%
\long\def\@makecaption#1#2{%
\if@twocolumn
 \footnotesize
 \vskip\abovecaptionskip
 \setbox\@tempboxa\hbox{#1\hspace{8\p@}#2}
 \ifdim \wd\@tempboxa >\hsize
    \par\hangindent8\p@{#1\hspace{8\p@}#2\par} 
 \else 
    \hbox to \hsize{\hfil\box\@tempboxa\hfil}
\fi
\else
 \small
 \vskip\abovecaptionskip
 \sbox\@tempboxa{#1\hskip1em#2}%
 \ifdim \wd\@tempboxa > \hsize
 \par\hangindent2em
   #1\hskip1em#2\par
 \else
   \global \@minipagefalse
   \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
 \fi
 \vskip\belowcaptionskip
\fi
}

\long\def\@caption#1[#2]#3{\par
    \begingroup
    \@parboxrestore
    \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}
    \par
    \endgroup
}

\newcounter{figure}
\def\thecaption{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\fnum@figure{\figurename\hskip.5em\thefigure.}
\newcounter{table}
\def\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2} 
\def\fnum@table{\tablename\hskip.5em\thetable.}

\newenvironment{figure}
              {\halfflag=1\@float{figure}}
              {\end@float}

\newenvironment{figure*}
              {\halfflag=0\@dblfloat{figure}}
              {\end@dblfloat}

\newenvironment{table}
              {\halfflag=1\@float{table}}
              {\end@float}

\newenvironment{table*}
              {\halfflag=0\@dblfloat{table}}
              {\end@dblfloat}

\newenvironment{halffigure}
              {\halfflag=1\@float{figure}}
              {\end@float}

\newenvironment{fullfigure}
              {\halfflag=0\@dblfloat{figure}}
              {\end@dblfloat}

\newenvironment{halftable}
              {\halfflag=1\@float{table}}
              {\end@float}

\newenvironment{fulltable}
              {\halfflag=0\@dblfloat{table}}
              {\end@dblfloat}

\def\tabular{%
 \begin{center}
 \let\@halignto\@empty%
 \if@twocolumn\footnotesize\else\relax\fi\@tabular
}
\def\endtabular{\crcr\egroup\egroup $\egroup\end{center}}

\let\halftabular\tabular\relax
\let\fulltabular\tabular\relax
\let\endhalftabular\endtabular\relax
\let\endfulltabular\endtabular\relax

%%%%%%%%%%%%%
% maketitle %
%%%%%%%%%%%%%

\def\maketitle{\par
\begingroup
   \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
   \def\@makefnmark{\hskip1\p@%\rlap{
	\@textsuperscript{\normalfont\@thefnmark}} %}%
   \long\def\@makefntext##1{%\vskip2\p@ 
	        \hangindent8\p@ \hangafter1 \noindent
           \hb@xt@1em{%
               \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
%  \twocolumn[\@maketitle]
%  \@maketitle
\if@twocolumn\twocolumn[\@maketitle]\else\@maketitle\fi

\thispagestyle{jsiamletters}
\endgroup
\setcounter{footnote}{0}
\global\let\thanks\relax
\global\let\maketitle\relax
\global\let\@maketitle\relax
\global\let\@thanks\@empty
\global\let\@author\@empty
\global\let\@title\@empty
\global\let\title\relax
\global\let\author\relax
}

\def\@maketitle{%
\null
\centering
\vskip12\p@ 
{\bfseries\Large\@title\par}
\vskip10\p@
{\large\@author\par}

\flushleft

\ifnum\num@affiliations=0\relax\else{%
\vskip6\p@
\small\parbox[t]{63\p@}{\space\hskip0em}\parbox[t]{375\p@}{\@inst\par}%
}\fi

\if@errata\else%
\ifx\@email\@empty\else{%
\vskip6\p@
\noindent{\small\hskip6.5em ${}^*$Corresponding author: \itshape\space \@email \par}}\fi\fi

\vskip6\p@
%\@ifundefined{@rdate}{\if@twocolumn\vskip8\p@\else\relax\fi}{
\@ifundefined{@rdate}{\small\hskip6.5em\small Received\par}{
\@ifundefined{@adate}{\small\hskip6.5em\small Received\space\@rdate\space (ID: \@idnumber)
\par}{\@ifundefined{@idnumber}{\small\hskip6.5em\small Received\space\@rdate,\space Accepted\space\@adate \par}{%
\small\hskip6.5em\small Received\space\@rdate,\space Accepted\space\@adate\space \@idnumber \par}}
}

%\gdef\@recdate{}
\gdef\@rdate{}
\gdef\@adate{}

\centering
\gdef\@origin{}

\vskip7\p@

\if@errata\else%
\hskip-36em{\bf Abstract}
\centering\vskip1.5\p@
\@ifundefined{@abstract}{}{%
\noindent\small\parbox[t]{375\p@}{\parindent0\p@\@abstract}
\par}\fi

\flushleft

\if@errata\else%
\vskip4\p@
\@ifundefined{@keywords}{}{%
\noindent\hskip6.5em\small{\bf Keywords}\hskip1em\parbox[t]{320\p@}{\@keywords}
\par}\fi

\vskip5\p@
\if@errata\else%
\@ifundefined{@group}{}{%
\noindent\hskip6.5em\small{\bf Research Activity Group}\hskip1em\parbox[t]{280\p@}{\@group}
\par}\fi

\vskip2\baselineskip

}

\long\def\talkdate#1{\long\gdef\@talkdate{#1}}
%\long\def\adate#1{\long\gdef\@adate{#1}}
%\long\def\rdate#1{\long\gdef\@rdate{#1}}
\long\def\abstract#1{\long\gdef\@abstract{#1}}
\long\def\inst#1{\long\gdef\@inst{#1}}
\long\def\email#1{\long\gdef\@email{#1}}
\long\def\runauthor#1{\long\gdef\@runauthor{#1}}
\long\def\keywords#1{\long\gdef\@keywords{#1}}
\long\def\group#1{\long\gdef\@group{#1}}
%
%%%\def\origin#1{\gdef\@origin{#1}}
\def\receiveddate#1#2#3{\long\gdef\@rdate{\month{#2}\space#3,\space#1}}
%\def\reviseddate#1#2#3{\long\gdef\@rvdate{\month{#2}\space#3,\space#1}}
\def\accepteddate#1#2#3{\long\gdef\@adate{\month{#2}\space#3,\space#1}}
\def\ID#1{\long\gdef\@idnumber{#1}}


%%%%%%Definition of headings%%%%%%
\mark{{}{}}

\def\ps@headings{\let\@mkboth\markboth
\if@twocolumn
\def\@oddfoot{\hfill\footnotesize{\sffamily--\hskip0.5em\thepage\hskip0.5em--}\hfill}
\let\@evenfoot\@oddfoot
%
\def\@oddhead{\underline{\hbox to \textwidth{%
\sffamily{JSIAM Letters Vol.\hskip.2em \volumenumber~(\pubyear) pp.\articlepagestart--\articlepageend}\hfill\sffamily{\@runauthor}}}}
%
\let\@evenhead\@oddhead
\fi
}

\def\ps@jsiamletters{
 \let\@mkboth\@gobbletwo
 \def\@evenfoot{
 \footnotesize\hfill{\sffamily--\hskip0.5em\thepage\hskip0.5em--}\hfill
 }
 \let\@oddfoot\@evenfoot
\def\@evenhead{
{\@typeset}\hfill
}
 \let\@oddhead\@evenhead
}

\renewcommand{\month}[1]{\ifcase#1\relax ???\or
 January\or February\or March\or April\or May\or June\or
 July\or August\or September\or October\or November\or December\else ???\fi}

\def\today{\ifcase\month\or
January\or February\or March\or April\or May\or June\or
July\or August\or September\or October\or November\or December\fi
\space\number\day, \number\year}

\pagestyle{headings}
\pagenumbering{arabic}

%%%%% Acknowledgements %%%%%
\newcommand{\acknowledgments}{\section*{Acknowledgments}}

%%%%% References %%%%%
\newcommand{\references}{\section*{References}\vskip-2em}

%%%%% at mark %%%%%
\newcommand{\atmarkeps}
{\hspace{1pt}\lower1.55pt\hbox{\smash{\includegraphics{atmark.eps}}}}
%%%%% optional affiliation number %%%%%
\def\affinum#1{\hskip -6pt $^{#1}\,$}
%%\def\volume#1
%
%
%
%
%
%%%%% Theorem styles %%%%%
\renewcommand{\proofname}{{\bf Proof}}
\renewcommand{\qedsymbol}{{\bfseries(QED)}}
\makeatletter
\renewenvironment{proof}[1][\proofname]{\par%
	\pushQED{\\[0pt]\qed}%
	\normalfont \topsep6\p@\@plus6\p@\relax%
	\trivlist%
	\item[\hskip\labelsep%
	\itshape%
	\bf #1\@addpunct{ }]\ignorespaces%
}{%
	\popQED{\vspace*{-2pt}}\endtrivlist\@endpefalse%
}%
\makeatother
\newtheoremstyle{mystyle}% % Name
{}%                      % Space above
{}%                      % Space below
{\em}%           % Body font
{}%                      % Indent amount
{\bfseries}%             % Theorem head font
{ }%                      % Punctuation after theorem head
{ }%                     % Space after theorem head, ' ', or \newline
{}%                      % Theorem head spec (can be left empty, meaning `normal')
\theoremstyle{mystyle}



\endinput
%% End of file `jsiamletters.cls'.
